### Signal

# RB TrackTransferBatch::track-done

#### Declaration

    void
    track_done (
      RBTrackTransferBatch* self,
      RhythmDBEntry* entry,
      gchar* dest,
      guint64 dest_size,
      gchar* dest_mediatype,
      gpointer error,
      gpointer user_data
    )

#### Description [src]

Emitted when a track transfer is complete, whether because the track was fully transferred, because an error occurred, or because the batch was cancelled (maybe..).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` that was transferred.

  The data is owned by the caller of the function.

`dest`

  Type: `gchar*`

  The destination URI for the transfer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dest_size`

  Type: `guint64`

  Size of the destination file.

`dest_mediatype`

  Type: `gchar*`

  The media type of the destination file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `gpointer`

  Any error that occurred during transfer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.